####################################################################
#   Copyright (c)
#
#   You may copy, distribute, and modify it freely as long as you  #
#   preserve distribute, and modify it freely as long as you       # 
#   preserve this copyright and permission notice.                 #
#                                                                  #
#
####################################################################

#
#  Makefile for Adlib/src/script 
#

SHELL       = /bin/sh

srcdir      = @srcdir@
top_src_dir = @top_srcdir@

prefix      = @prefix@
exec_prefix = @exec_prefix@

bindir      = ${exec_prefix}/bin

VPATH       = .:${srcdir}

INSTALL     = cp

all: ad++ prun

ad++: ${srcdir}/ad++.in
	@echo 
	@echo Please configure the package to generate new ad++ file ...
	@exit 1

prun: ${srcdir}/prun.in
	@echo 
	@echo Please configure the package to generate new prun file ...
	@exit 1

clean:

distclean:
	rm -f ad++ prun Makefile

install: 
	if [ ! -d ${bindir} ] ; then mkdir ${bindir} ; fi
	for i in ad++ prun ;\
	do ($(INSTALL) ${srcdir}/$$i ${bindir}); done

uninstall:
	for i in ad++ prun ;\
	do (rm -f ${bindir}/$$i); done

	  


